package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussUserApp;

import com.chaozhanggui.dao.system.model.ProfitPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
@Mapper
public interface TbPlussUserAppMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussUserApp record);

    int insertSelective(TbPlussUserApp record);

    TbPlussUserApp selectByPrimaryKey(Integer id);
    TbPlussUserApp selectByUserId(Integer userId);

    int updateByPrimaryKeySelective(TbPlussUserApp record);

    int updateByPrimaryKey(TbPlussUserApp record);

    int countByInviteNum(String inviteNum);

    List<ProfitPO> selectProfit(@Param("userId") String userId, @Param("orderNumber") String orderNumber, @Param("merchantCode") String merchantCode);
}